# Uses of Interface
org.bukkit.inventory.Merchant

Packages that use Merchant
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.inventory
`Events` relating to `inventory` manipulation.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of Merchant in org.bukkit

Methods in org.bukkit that return Merchant
Modifier and Type
Method
Description
`static @NotNull Merchant`
Bukkit.`createMerchant(@Nullable String title)`
Deprecated.
in favour of `Bukkit.createMerchant(net.kyori.adventure.text.Component)`
`static @NotNull Merchant`
Bukkit.`createMerchant(Component title)`
Creates an empty merchant.
`@NotNull Merchant`
Server.`createMerchant(@Nullable String title)`
Deprecated.
in favour of `Server.createMerchant(net.kyori.adventure.text.Component)`
`@NotNull Merchant`
Server.`createMerchant(Component title)`
Creates an empty merchant.

## Uses of Merchant in org.bukkit.entity

Subinterfaces of Merchant in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`AbstractVillager`
Represents a villager NPC
`interface`
`Villager`
Represents a villager NPC
`interface`
`WanderingTrader`
Represents a wandering trader NPC
Methods in org.bukkit.entity with parameters of type Merchant
Modifier and Type
Method
Description
`@Nullable InventoryView`
HumanEntity.`openMerchant(@NotNull Merchant merchant, boolean force)`
Starts a trade between the player and the merchant.

## Uses of Merchant in org.bukkit.event.inventory

Methods in org.bukkit.event.inventory that return Merchant
Modifier and Type
Method
Description
`@NotNull Merchant`
TradeSelectEvent.`getMerchant()`
Get the Merchant involved.

## Uses of Merchant in org.bukkit.inventory

Methods in org.bukkit.inventory that return Merchant
Modifier and Type
Method
Description
`@NotNull Merchant`
MerchantInventory.`getMerchant()`
Gets the Merchant associated with this inventory.